/// <reference types="@types/graphql" />
/// <reference types="@types/commander" />
import * as commander from 'commander';
import { IntrospectionQuery } from 'graphql/utilities/introspectionQuery';
import { GeneratorTemplate } from './templates';
export interface TransformedCliOptions {
    introspection?: IntrospectionQuery;
    documents?: string[];
    template?: GeneratorTemplate;
    outPath?: string;
    isDev?: boolean;
    noSchema?: boolean;
    noDocuments?: boolean;
}
export declare const initCLI: (args: any) => commander.IExportedCommand;
export declare const cliError: (err: string) => void;
export declare const validateCliOptions: (options: any) => void;
export declare const transformOptions: (options: any) => Promise<TransformedCliOptions>;
